/* (c) 2007 Satis Superque Merce B.V. All rights reserved.
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 */

#include <b.h>

/**
 * b_strerror:
 * @error: The error code
 * @returns: a string with the error code in human readble format.
 *
 * Returns the error code in a human readble format. This return string 
 * doesn't not freed!!
 **/
char *
b_strerror (b_error_t error)
{
  B_LOG1 ("b_strerror: %d", error);

  switch (error)
    {
    case B_OK:
      return "Success";

    case B_ERROR_MEMORY:
      return "Allocation error";

    case B_ERROR_POSIX:
#ifndef WIN32
      return strerror (errno);
#else
      return "System error";
#endif

    case B_ERROR_DATA:
      return "Read the manual";

    case B_ERROR_INTERNAL:
      return "Internal error";

    default:
      return "?!?";
    }
}

/* EOF */
